Package org.eclipse.net4j.util

# Interface Predicate<T>

All Known Implementing Classes:
  `Predicate.DelegatingPredicate`, `Predicates.ExcludedPredicate`, `Predicates.IncludedPredicate`, `Predicates.UniquePredicate`

@Deprecated public interface Predicate<T>
Deprecated.
As of 3.10 use `Predicate`.

Since:
  3.3
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`Predicate.DelegatingPredicate<T>`
Deprecated.
As of 3.10 use `Predicate`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`apply(T element)`
Deprecated.

## Method Details

### apply

@Deprecated boolean apply(T element)
Deprecated.